%define module_name Conf-Libconfig
# BEGIN SourceDeps(oneline):
BuildRequires: libconfig-devel perl(CPAN.pm) perl(Devel/CheckLib.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(ExtUtils/XSBuilder/ParseSource.pm) perl(ExtUtils/XSBuilder/WrapXS.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warn.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(bigint.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.3
Release: alt2
Summary: Perl extension for libconfig
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CN/CNANGEL/%{module_name}-%{version}.tar.gz

%description
You can use `Conf::Libconfig' for perl config, and support Scalar, Array and Hash data structures etc.
like C or C++ function. `Conf::Libconfig' could reduce your config file and quote by C/C++ transportability.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt2
- rebuild with perl 5.38

* Sun Sep 03 2023 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1
- updated by package builder

* Mon Aug 21 2023 Igor Vlasenko <viy@altlinux.org> 1.0.2-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.100-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.100-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.100-alt1.1
- rebuild with perl 5.28.1

* Thu Dec 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.100-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt2
- rebuild to get rid of unmets

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

